Installation

As a gem

Most of the time you will want to install EventMachine as a gem:

gem install eventmachine

Edge

EventMachine edge can also be found on the GitHub gem servers:

gem install eventmachine-eventmachine --source http://gems.github.com/

From source

EventMachine can be installed most easily by utilising the rake tasks in the EventMachine repositories.

Dependencies

EventMachine may require the following dependencies, depending on your specific usage:

  • OpenSSL
  • libstd++ (some systems, such as debian, may require an explicit install in order for the compiler to support this)
  • Ruby
  • Rake